Skip to main content
POST
Create a sponsored brand campaign.

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de consulta

vendor_id
string
requerido

The ID of the vendor.

Minimum string length: 1

Cuerpo

application/json

Request body for creating a public sponsored brand campaign.

name
string
requerido

The name of the campaign.

Minimum string length: 1
Ejemplo:

"Bola-Bola Ad campaign"

slotId
string
requerido

The external slot ID where the sponsored brand campaign will be shown.

Minimum string length: 1
schedule
Schedule · object[]
requerido

The schedule for the campaign.

Required array length: 1 element
content
Content · object
requerido

Dynamic content validated against the slot's JSON template.

bids
PublicCreateSponsoredBrandBid · object[]
requerido

An array of bids for this campaign.

Required array length: 1 - 500 elements
bidType
enum<string>
requerido

The bidding type of the campaign.

Opciones disponibles:
manual,
autobidding
budget
BudgetCreate · object
requerido

The assigned budget for the campaign.

isActive
boolean
predeterminado:true

Whether the campaign should be activated upon creation.

status
enum<string>
predeterminado:approved

The initial review status of the sponsored brand campaign.

Opciones disponibles:
approved,
pending,
rejected
externalCampaignId
string | null

The external ID of the campaign in the marketplace.

isAutoTrigger
boolean
predeterminado:false

Whether the campaign is auto-triggered.

slotIds
string[] | null

Additional external slot IDs. If present, each ID replicates the whole bid set.

Maximum array length: 10
walletId
string<uuid> | null

The uuid of the wallet used with this campaign.

targetRoas
number | null

Indicates the vendor's target return on ad spend.

Rango requerido: 0.5 <= x <= 30
targetRoasPreference
enum<string> | null

Target ROAS preference label.

Opciones disponibles:
aggressive,
conservative,
moderate,
custom
chargeType
enum<string>
predeterminado:CPC

How campaigns are charged.

Opciones disponibles:
CPM,
CPC,
CPA
autobiddingObjective
enum<string>
predeterminado:clicks

The objective of the campaign.

Opciones disponibles:
impressions,
clicks,
conversions,
revenue

Respuesta

Successful Response

A regular sponsored brand campaign returned by the public API.

campaignId
string<uuid>
requerido

The ID of the campaign.

marketplaceId
string<uuid>
requerido

The ID of the marketplace.

vendorId
string
requerido

The external vendor ID.

name
string
requerido

The name of the campaign.

Minimum string length: 1
Ejemplo:

"Bola-Bola Ad campaign"

isActive
boolean
requerido

Whether the campaign is active.

status
enum<string>
requerido

The approval status of the sponsored brand campaign.

Opciones disponibles:
approved,
pending,
rejected
isAutoTrigger
boolean
requerido

Whether the campaign is auto-triggered.

slotId
string
requerido

The external slot ID where the sponsored brand campaign is shown.

schedule
Schedule · object[]
requerido

The schedule for the campaign.

Required array length: 1 element
content
Content · object
requerido

Dynamic content validated against the slot's JSON template.

createdAt
string<date-time>
requerido

When this campaign was created.

updatedAt
string<date-time>
requerido

When this campaign was last updated.

bidType
enum<string>
requerido

The bidding type of the campaign.

Opciones disponibles:
manual,
autobidding
isAgency
boolean
requerido

Whether this campaign is promoted by an agency.

chargeType
enum<string>
requerido

How campaigns are charged.

Opciones disponibles:
CPM,
CPC,
CPA
budget
Budget · object
requerido

The assigned budget for the campaign.

externalCampaignId
string | null

The external ID of the campaign in the marketplace.

walletId
string<uuid> | null

The uuid of the wallet used with this campaign.

targetRoas
number | null

Indicates the vendor's target return on ad spend.

Rango requerido: 0.5 <= x <= 30
targetRoasPreference
enum<string> | null

Target ROAS preference label.

Opciones disponibles:
aggressive,
conservative,
moderate,
custom
autobiddingObjective
enum<string> | null

The objective of the campaign.

Opciones disponibles:
impressions,
clicks,
conversions,
revenue